Bug 32364 - NB installer should work with jdk1.4.2
NB installer should work with jdk1.4.2
Status: VERIFIED FIXED
Product: installer
Classification: Unclassified
Component: Code
3.x
All All
: P1 (vote)
: 3.x
Assigned To: Richard Gregor
issues@installer
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-03-26 15:28 UTC by Richard Gregor
Modified: 2003-04-04 11:11 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments
Diff of changes in trunk (7.80 KB, patch)
2003-03-26 16:39 UTC, Richard Gregor
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Richard Gregor 2003-03-26 15:28:20 UTC
At start up installer searchs for suitable jvm.
NB35 instaler should also search for jdk1.4.2.
Comment 1 Richard Gregor 2003-03-26 16:37:39 UTC
Fixed in main trunk.There are changes in NB.xml (project file) and new
jvm def. files for jdk1.4.2

Checking in jvms/linux/sunjdk142.jvm;
/cvs/installer/jvms/linux/sunjdk142.jvm,v  <--  sunjdk142.jvm
initial revision: 1.1
done
Processing log script arguments...
More commits to come...
RCS file: /cvs/installer/jvms/solaris/sun.jdk.1.4.2.solaris.jvm,v
done
Checking in jvms/solaris/sun.jdk.1.4.2.solaris.jvm;
/cvs/installer/jvms/solaris/sun.jdk.1.4.2.solaris.jvm,v  <-- 
sun.jdk.1.4.2.solaris.jvm
initial revision: 1.1
done
Processing log script arguments...
More commits to come...
Checking in jvms/win32/sun_win32_141.jvm;
/cvs/installer/jvms/win32/sun_win32_141.jvm,v  <--  sun_win32_141.jvm
new revision: 1.4; previous revision: 1.3
done
RCS file: /cvs/installer/jvms/win32/sun_win32_142.jvm,v
done
Checking in jvms/win32/sun_win32_142.jvm;
/cvs/installer/jvms/win32/sun_win32_142.jvm,v  <--  sun_win32_142.jvm
initial revision: 1.1
done
Comment 2 Richard Gregor 2003-03-26 16:39:54 UTC
Created attachment 9548 [details]
Diff of changes in trunk
Comment 3 _ ttran 2003-03-28 15:21:58 UTC
has anyone tested and reviewed the fix?
Comment 4 dmladek 2003-03-31 10:17:14 UTC
Please, stay tunned, I'm testing it right now.....
Comment 5 dmladek 2003-03-31 11:05:50 UTC
is there any way how to persuade the Installator to use this jdk1.4.2?

I have installed many of jdks for testing purposes and I don't know
how to simulate and or detect the Installator search for jdk1.4.2
---------------------------------------------------------------------

FYI:
I have installed all my JDKs in /usr/java/ dir. And it's content looks
like this:
jdk13-IBM -> j2sdk1.3/jdk1.3/ibm/IBMJava2-13/
jdk130FCS-BD -> j2sdk1.3/jdk1.3/blackdown/FCS/jdk1.3.0
jdk1.3.1 -> j2sdk1.3/jdk1.3.1/sun/jdk1.3.1
jdk1.4.1 -> j2sdk1.4/sun/jdk1.4.1_01/
jdk1.4.2 -> j2sdk1.4/sun/jdk1.4.2
j2sdk1.3
j2sdk1.4

and my envs point to:
JAVA_HOME=/usr/java/jdk1.4.1/jre
JAVA_PATH=/usr/java/jdk1.4.1



Comment 6 Richard Gregor 2003-03-31 12:41:07 UTC
Dan,
one of possible solutions is to look in ide.cfg file after successful
installation. There is -jdkhome switch and there is reference to jdk
used by installer. 
Another one is to test on machine with only jdk1.4.2 installed. If
installer is working then jdk was found. Just my 2 QA tips and tricks.
Comment 7 Tomas Pavek 2003-04-01 12:34:52 UTC
I've reviewed the diffs. Looks ok for me. Just adding information for
new jdk, following the same pattern as for the other jdks. Should not
cause problems.
Comment 8 dmladek 2003-04-01 14:11:52 UTC
This one works fine now in current dev installer from:
200304010100, 14:24

on linux (RH80)
Comment 9 Richard Gregor 2003-04-02 08:09:31 UTC
Trunk, please, could this one be approved?
Comment 10 _ ttran 2003-04-02 11:53:20 UTC
approved for 3.5.  My name is "Trung" not "Trunk" BTW
Comment 11 Richard Gregor 2003-04-02 12:05:04 UTC
Thanks for review and approval. Trung,I appologize for typo in your name. 
Comment 12 Richard Gregor 2003-04-03 07:00:21 UTC
Merged to release35.

Checking in NB.xml;
/cvs/installer/NB.xml,v  <--  NB.xml
new revision: 1.19.2.3; previous revision: 1.19.2.2
done
Processing log script arguments...
More commits to come...
Checking in jvms/linux/sunjdk142.jvm;
/cvs/installer/jvms/linux/sunjdk142.jvm,v  <--  sunjdk142.jvm
new revision: 1.1.2.1; previous revision: 1.1
done
Processing log script arguments...
More commits to come...
Checking in jvms/solaris/sun.jdk.1.4.2.solaris.jvm;
/cvs/installer/jvms/solaris/sun.jdk.1.4.2.solaris.jvm,v  <-- 
sun.jdk.1.4.2.solaris.jvm
new revision: 1.1.2.1; previous revision: 1.1
done
Processing log script arguments...
More commits to come...
Checking in jvms/win32/sun_win32_141.jvm;
/cvs/installer/jvms/win32/sun_win32_141.jvm,v  <--  sun_win32_141.jvm
new revision: 1.3.2.1; previous revision: 1.3
done
Checking in jvms/win32/sun_win32_142.jvm;
/cvs/installer/jvms/win32/sun_win32_142.jvm,v  <--  sun_win32_142.jvm
new revision: 1.1.2.1; previous revision: 1.1
done
Comment 13 dmladek 2003-04-04 11:11:39 UTC
on Win XP they work too.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo